• 用Vue.js开发Web应用对浏览器有什么要求吗?
  • 发布于 2个月前
  • 238 热度
    2 评论
  • 狄安娜
  • 1 粉丝 31 篇博客
  •   
最近打算用Vue.js替换jQuery用于某个Web项目的开发,以前没用过Vue.js,所以我想问一下,Vue.js对于浏览器有什么限制要求吗?或者说要什么样的浏览器才能支持Vue.js?
用户评论
  • 斗鱼
  • 现在主流的浏览器火狐,谷歌,Safari ,IE10以上的浏览器都支持Vue.js的。对于一些不支持Vue.js的浏览器你可以在使用系统前先检测用户浏览器的版本,如果发现其版本不支持Vue.js,那给个提示,并给谷歌或火狐的下载链接地址就好了。或者用户使用IE8打开网页就提醒他们功能不全要开IE12或Edge。
  • 2018/5/13 17:50:00 [ 2 ] [ 1 ] 回复
  • VOVO1
  • Vue 不支持 IE8 及以下版本,因为 Vue 使用了 IE8 无法模拟的 ECMAScript 5 特性。但它支持所有兼容 ECMAScript 5 的浏览器。但现在还在用IE8以下浏览器的电脑应该不是很多了,所以我觉得兼容性的问题你可以不用怎么考虑了。
  • 2018/5/13 17:44:00 [ 1 ] [ 1 ] 回复